<ion-header>
    <ion-toolbar>
        <ion-title>&nbsp;</ion-title>
    </ion-toolbar>
    <ion-toolbar>
        <ion-card-title class="ion-padding-start ion-text-capitalize">
            <b>Trending</b>
        </ion-card-title>
    </ion-toolbar>
    <ion-searchbar placeholder="Search by Song Name" (ionInput)="_searchFromTrend($event)" (ionClear)="_restoreTrend()"></ion-searchbar>
</ion-header>

<ion-content>
    <ion-refresher slot="fixed" (ionRefresh)="doRefresh($event)">
        <ion-refresher-content pullingIcon="arrow-round-down" pullingText="Pull to refresh" refreshingSpinner="circles" refreshingText="Synchronizing Data...">
        </ion-refresher-content>
    </ion-refresher>
    <ion-grid no-padding *ngIf="trendingArray.length == 0">
        <ion-row>
            <ion-col align-self-center>
                <img src="assets/imgs/nodata.svg" class="centerImg">
                <!-- <ion-card-title text-center>No Data Found</ion-card-title> -->
                <ion-spinner color="primary" mode="ios" style="margin-left:45%;"></ion-spinner>
            </ion-col>
        </ion-row>
    </ion-grid>
    <ion-list *ngIf="trendingArray.length > 0">
        <ion-item lines="full" detail *ngFor="let item of trendingArray" (click)="playItems(item)">
            <ion-thumbnail slot="start">
                <img src={{item.trendThumbnail}}>
            </ion-thumbnail>
            <ion-text slot="start">
                <p>
                    <span class="headTitleText">{{item.trendName}}</span><br>
                    <span class="subheadText ion-text-wrap">{{item.trendDesc}}</span>
                </p>
            </ion-text>
        </ion-item>
    </ion-list>
</ion-content>